# 32/64bit spec-file
#
# PCLinuxOS Copyright by Bill Reynolds (Texstar)

Summary:	The Ultimate Packer for eXecutables
Summary(de):	UPX ist ein erweiterter Packer für ausführbare Dateien
Name:		upx
Version:	3.91
Release:	%mkrel 1
License:	GPL
Group:		Archiving/Compression
URL:		http://upx.sourceforge.net/
Source0:	http://upx.sourceforge.net/download/%{name}-%{version}-src.tar.xz
BuildRequires:	%{_lib}ucl1-devel
BuildRequires:	zlib-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
UPX is an advanced executable file compressor. UPX will typically
reduce the file size of programs and DLLs by around 50%-70%, thus
reducing disk space, network load times, download times and other
distribution and storage costs.

Programs and libraries compressed by UPX are completely self-contained
and run exactly as before, with no runtime or memory penalty for most
of the supported formats.

UPX supports a number of different executable formats, including
Win95/98/ME/NT/2000 programs and DLLs, DOS programs, and Linux executables.

UPX is rated number one in the well known Archive Comparison Test. Visit
http://compression.ca/act-exepack.html

#german
%description -l de
UPX reduziert die Dateigröße von Programmen und DLL's normalerweise um die 50%, 
dies verringert den Speicherplatz, die Ladezeiten im Netzwerk, Zeiten beim 
herunterladen und andere Verbreitungs- oder Speicherkosten Programme und 
Bibliotheken, die mit UPX komprimiert sind, sind vollständig eigenständig und 
genau wie zuvor, bei den meisten unterstützten Formaten, mit keinerlei Einbußen 
in der Laufzeit oder dem Speicher auszuführen. 

UPX unterstützt eine Reihe von verschiedenen ausführbaren Formaten, einschließlich 
Win95/98/Me/NT/2000-Programme und DLLs, MS-DOS-Programme und ausführbare Dateien 
unter Linux. 

UPX ist die Nummer Eins im Vergleich Test bei der Archivierung. 
Besuchen Sie: http://COMPRESSION.ca/ACT-exepack.html

%prep

%setup -q -n %{name}-%{version}-src

%build
# building the docs
%make -C doc
export UCLDIR=%{_prefix}
%make -C src
     
%install
%__rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1

install -m 755 src/upx.out %{buildroot}%{_bindir}/upx
install -m 644 doc/upx.1 %{buildroot}%{_mandir}/man1/

%clean
%__rm -rf %{buildroot}
%__rm -rf $RPM_BUILD_DIR/%{name}-%{version}-src

%files
%defattr (-,root,root)
%doc BUGS LICENSE NEWS PROJECTS README* THANKS doc/upx.doc doc/upx.html doc/*.txt
%{_bindir}/*
%attr(644,root,man) %{_mandir}/man1/*


%changelog
* Wed Dec 25 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 3.91-1pclos2014
- 3.91

* Sat Jul 27 2013 billybot <billybot> 3.09-1pclos2013
- 3.09

* Wed Jan 30 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 3.08-2pclos2013
- build for 32bit

* Sat Mar 17 2012 Neal <nealbrks0 at gmail dot com> 3.08-1pclos2012
- process

* Fri Mar 16 2012 leiche <meisssw01 at gmail.com> 3.08-1pclos2012
- 3.08
- add german description
- convert archive to xz

* Mon Apr 21 2008 P. K. Frederic <pkfric@yahoo.com> 2.03-1pclos2007
- first RPM for PCLinuxOS

* Mon Dec 11 2006 Oden Eriksson <oeriksson@mandriva.com> 2.03-1mdv2007.1
- 2.03

